# BarcodeScanningResult class

Inheritance
  - Object
  - Result
  - BarcodeScanningResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: false, createToJson: false)

## Constructors

BarcodeScanningResult(List<BarcodeItem> barcodeItems)
BarcodeScanningResult.canceled()
BarcodeScanningResult.error(String message)
BarcodeScanningResult.fromJson(Map<String, dynamic> json)
  factory
BarcodeScanningResult.fromUrlAndCode(Uri? barcodeImageURI, List<BarcodeItem> barcodeItems)
  We can use this method named constructor while detection of Multiple images

## Properties

barcodeImageURI ↔ Uri?
  getter/setter pair
barcodeItems ↔ List<BarcodeItem>
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
message ↔ String?
  Message with description of returned result, for example, error message
  getter/setter pair inherited
operationResult ↔ OperationResult?
  Standard result status
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited